Contents
Index 🔎︎

# Seek Statement

Sets the position for the next writing or reading in a file that was opened with the Open statement.

For random access files, the Seek statement sets the number of the next record to be accessed.

For all other files, the Seek statement sets the byte position at which the next operation is to occur.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Error codes:

5 Nederīgs procedūras izsaukums

52 Nederīgs datnes nosaukums vai datnes numurs

Saistītie temati

Open Statement

Seek function